# Home Assistant

Open source home automation that puts local control and privacy first. Powered by a worldwide community of tinkerers and DIY enthusiasts. Perfect to run on a Raspberry Pi or a local server.

Check out [home-assistant.io](https://home-assistant.io) for a [demo](https://home-assistant.io/demo/), installation [instructions](https://home-assistant.io/getting-started/), [tutorials](https://home-assistant.io/getting-started/automation/) and [documentation](https://home-assistant.io/docs/)

## Migration

February 2024

This version of Home Assistant can be exposed. To migrate from the non-exposable app, follow these steps:

- stop the installed app
- rename `runtipi/app-data/homeassistant` to `runtipi/app-data/__homeassistant`
- uninstall the app
- install Home Assistant from the App Store
- stop the app
- remove `runtipi/app-data/homeassistant-1`
- rename `runtipi/app-data/__homeassistant` to `runtipi/app-data/homeassistant-1`
- add the following section to `runtipi/app-data/homeassistant/data/config/configuration.yaml`
  ```
  http:
  use_x_forwarded_for: true
  trusted_proxies:
    - 127.0.0.1
    - 172.16.0.0/12
    - ::1
  ```
- change `APP_ID=homeassistant` to `APP_ID=homeassistant-1` in `runtipi/app-data/homeassistant/app.env`
- change `APP_PORT=8123` to `APP_PORT=8209` in `runtipi/app-data/homeassistant/app.env`
- change `APP_DATA_DIR={{ROOT_FOLDER_HOST}}/app-data/homeassistant` to `APP_DATA_DIR={{ROOT_FOLDER_HOST}}/app-data/homeassistant-1` in `runtipi/app-data/homeassistant/app.env`
- start the app